## i8kutils 1.12

=== Makefile ===
#
# Makefile -- makefile for compiling the i8k Linux Utilities
#
# Copyright (C) 2001  Massimo Dal Zotto <dz@debian.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#

POLL_TIMEOUT  = 100
#MODVERSIONS  = -DMODVERSIONS

VERSION	      = $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')
DISTFILE      = i8kutils-$(VERSION).tar.bz2
SIGNFILE      = $(DISTFILE).sign
SRCDIR        = $(shell pwd | sed 's|.*/||g')
CC            = gcc
CFLAGS        = -O2 -Wall
KERNEL_FLAGS  = -D__KERNEL__ -DMODULE $(MODVERSIONS)
KERNEL_SOURCE = /usr/src/linux
INCLUDE       = -I. -I$(KERNEL_SOURCE)/include

ifdef MODVERSIONS
  INCLUDE    +=	-include $(KERNEL_SOURCE)/include/linux/modversions.h
endif

all:		i8kbuttons i8kctl i8kmon

i8kbuttons:	i8kbuttons.c
		$(CC) -g $(CFLAGS) -DPOLL_TIMEOUT=$(POLL_TIMEOUT) -I. -o $@ $<

i8kctl:		i8kctl.c
		$(CC) -g $(CFLAGS) -I. -o $@ $<
		ln -fs $@ i8kfan

install:	i8kbuttons i8kctl i8kmon
		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/usr/bin/
		ln -fs i8kctl $(DESTDIR)/usr/bin/i8kfan

clean:
		rm -f *.o *~ "#*#"

distclean:	clean
		rm -f i8kbuttons i8kctl i8kfan smm

dist:		distclean
		-fakeroot ./debian/rules clean
		-make i8k.o
		cd .. \
		&& tar -cjvf $(DISTFILE) $(SRCDIR)/* \
		&& gpg --armor --detach-sign --yes -o $(SIGNFILE) $(DISTFILE)

deb:
		dpkg-buildpackage -rfakeroot -us -uc

# I8k module, not needed once it is included in the kernel sources
module:		i8k.o

modversion:
		$(MAKE) i8k.o MODVERSIONS=-DMODVERSIONS

i8k.o:		i8k.c
		$(CC) $(CFLAGS) $(KERNEL_FLAGS) $(INCLUDE) -o $@ -c $<
		strip --strip-unneeded $@

module-install:	i8k.o
		mkdir -p /lib/modules/$$(uname -r)/misc/
		cp -fp i8k.o /lib/modules/$$(uname -r)/misc/
		chown 0.0 /lib/modules/$$(uname -r)/misc/i8k.o

insmod:		i8k.o
		lsmod | grep -qw i8k || insmod ./i8k.o || insmod -f ./i8k.o

rmmod:
		lsmod | grep -qw i8k && rmmod i8k

# SMM test program, DON'T USE UNLESS YOU KNOW WHAT YOU ARE DOING!!!
smm:		smm.c
		$(CC) -g $(CFLAGS) -I. -o $@ $<

# end of file

=== debian/changelog ===
i8kutils (1.12) frozen unstable; urgency=low

  * In i8k module added restricted fan control option.

  * In i8kmon added Reload and Exit commands to the applet menu.

  * In i8kmon added option to display temperature in fahrenheit.

  * If i8kmon exit program it the applet window is unexpectedly destroyed.

  * Updated i8kmon.conf, manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 18 Mar 2002 17:18:49 +0100

i8kutils (1.11) frozen unstable; urgency=low

  * Added /proc/acpi support and setmixer.sh example.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 11 Feb 2002 10:04:27 +0100

i8kutils (1.10) frozen unstable; urgency=low

  * Removed version check in /proc/apm.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 10 Feb 2002 23:17:26 +0100

i8kutils (1.9) frozen unstable; urgency=low

  * Fixed high temperature display in i8kmon.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 29 Dec 2001 16:38:01 +0100

i8kutils (1.8) frozen unstable; urgency=low

  * Added Xmodmap and 40custom_load-xmodmap examples, updated README file.
    Closes: Bug#123801.

  * Fixed Spelling error in description.
    Closes: Bug#124745.
 
 -- Massimo Dal Zotto <dz@debian.org>  Tue, 18 Dec 2001 21:53:26 +0100

i8kutils (1.7) unstable; urgency=low

  * Changed i8k_probe to allow detection of SMM BIOS on laptops which
    don't support all the SMM functions used by the driver.

 -- Massimo Dal Zotto <dz@debian.org>  Wed, 21 Nov 2001 12:00:58 +0100

i8kutils (1.6) unstable; urgency=low

  * In i8k_smm() return -EINVAL if the returned eax is unchanged.

  * In smm-test script test both fans.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 12 Nov 2001 11:26:23 +0100

i8kutils (1.5) unstable; urgency=low

  * In i8k module changed i8k probe to work on any Inspiron or Latitude
    laptop. For performance reasons don't report ac status in /proc/i8k
    unless the module is loaded with the "power_status=1" parameter.

  * In i8kmon read ac status from /proc/apm if not available in /proc/i8k.
    Changed default timeout to 5 seconds.

  * Changed i8kmon config file format.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 10 Nov 2001 13:21:29 +0100

i8kutils (1.4) unstable; urgency=low

  * In i8k module get bios_version and bios_machine_id from DMI table.
    Implemented the I8K_MACHINE_ID ioctl.

  * In i8kmon added simple config menu activated with <Button-1>.
    Added suspend option to allow unloading the module while i8kmon
    is running.

  * If fan speed is not available (on I4000) assume fans are running.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  8 Nov 2001 12:19:17 +0100

i8kutils (1.3) unstable; urgency=low

  * In i8k.c use strlen() instead of sizeof() for signature comparisons.

  * In i8kmon added binding for <Button-2> to fan buttons and fixed bug
    in stuck fan detection.

  * In i8kbuttons added options --verbose and --repeat. Ignored SIGCHLD
    signal to avoid the zombie processes problem.

  * Added smm-test script.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  7 Nov 2001 13:19:07 +0100

i8kutils (1.2) unstable; urgency=low

  * Rewritten from scratch the i8kmon utility.

  * Changed Fn-buttons constants for compatibilty with I8100.

  * Changed FN_VOL_MUTE from 3 to 4. New i8kbuttons daemon is compatible
    with previous kernel module.

  * Changed check for I8000 into check for generic Inspiron.

  * Added KERN_INFO to all printk instructions.

  * Added README file and manpages.

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  6 Nov 2001 10:54:03 +0100

i8kutils (1.1) unstable; urgency=low

  * Added ioctl support to /proc/i8k.

  * Added i8kbuttons and i8kmon programs.

 -- Massimo Dal Zotto <dz@debian.org>  Fri,  2 Nov 2001 13:34:33 +0100

i8kutils (1.0) unstable; urgency=low

  * Initial release.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 21 Oct 2001 14:01:56 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Massimo Dal Zotto <dz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: i8kutils
Architecture: i386
Depends: ${shlibs:Depends}, tcl8.3 | tclsh, tk8.3 | wish
Conflicts: i8kfan
Replaces: i8kfan
Description: Dell Inspiron and Latitude laptop utilities
 This is a collection of utilities to control Dell Inspiron and Latitude
 laptops. It includes programs to turn the fan on and off, to read fan
 status, CPU temperature, BIOS version and to handle the volume buttons
 and Fn-keys.
 .
 The package includes also a small Tk applet, designed to be swallowed in the
 gnome panel, which monitors the CPU temperature and comtrols automatically
 the fans accordingly to user defined thresholds.
 .
 The programs require the kernel module i8k.o which can be compiled from
 the package sources or found in Linux kernel 2.4.14 and later versions.
 The kernel module has been tested only on Inspiron 8000 laptops but it
 should work on any Inspiron and Latitude laptops.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/i8kutils.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/i8kutils


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	# dh_installdebconf	
	dh_installdocs
	dh_installexamples
	# dh_installmenu
	# dh_installlogrotate
	# dh_installemacsen
	# dh_installpam
	# dh_installmime
	# dh_installinit
	# dh_installcron
	dh_installman *.1
	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1
	# dh_installinfo
	# dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# dh_makeshlibs
	dh_installdeb
	# dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## i8kutils 1.25

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile -- makefile for compiling the i8k Linux Utilities
 #
-# Copyright (C) 2001  Massimo Dal Zotto <dz@debian.org>
+# Copyright (C) 2001-2003  Massimo Dal Zotto <dz@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
@@ -14,6 +14,9 @@
 # General Public License for more details.
 #
 
+# Override with: make module KERNEL_SOURCE=/usr/src/kernel-headers-2.4.17
+KERNEL_SOURCE = /usr/src/linux
+PREFIX	      = /usr
 POLL_TIMEOUT  = 100
 #MODVERSIONS  = -DMODVERSIONS
 
@@ -24,7 +27,8 @@
 CC            = gcc
 CFLAGS        = -O2 -Wall
 KERNEL_FLAGS  = -D__KERNEL__ -DMODULE $(MODVERSIONS)
-KERNEL_SOURCE = /usr/src/linux
+BINDIR	      = $(PREFIX)/bin
+MANDIR	      = $(PREFIX)/share/man
 INCLUDE       = -I. -I$(KERNEL_SOURCE)/include
 
 ifdef MODVERSIONS
@@ -41,8 +45,15 @@
 		ln -fs $@ i8kfan
 
 install:	i8kbuttons i8kctl i8kmon
-		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/usr/bin/
-		ln -fs i8kctl $(DESTDIR)/usr/bin/i8kfan
+		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/$(BINDIR)/
+		ln -fs i8kctl $(DESTDIR)/$(BINDIR)/i8kfan
+
+install-man:
+		for f in *.1; do \
+		    gzip -f -9 < $$f > $(DESTDIR)/$(MANDIR)/man1/$$f.gz; \
+		done
+
+install_man:	install-man
 
 clean:
 		rm -f *.o *~ "#*#"
@@ -68,7 +79,10 @@
 
 i8k.o:		i8k.c
 		$(CC) $(CFLAGS) $(KERNEL_FLAGS) $(INCLUDE) -o $@ -c $<
-		strip --strip-unneeded $@
+		strip --strip-unneeded \
+		    -K force -K restricted -K power_status \
+		    -K handle_buttons -K repeat_delay -K repeat_rate \
+		    $@
 
 module-install:	i8k.o
 		mkdir -p /lib/modules/$$(uname -r)/misc/

=== debian/changelog ===
i8kutils (1.25) unstable; urgency=low

  * Fixed fprintf format string in i8kbuttons.

  * Changed dependencies: added tk8.4 and removed tclsh.
    Closes: #239895.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 25 Mar 2004 09:46:03 +0100

i8kutils (1.24) unstable; urgency=low

  * In i8k module added support for alternate DELL signature function.

  * In i8kmon added support for new acpi proc path of Linux 2.6.

  * In i8k.h fixed compilation errors with Linux 2.6 kernel headers.
    Closes: #223163.

  * Updated README file.
    Closes: #193429, #215734.

 -- Massimo Dal Zotto <dz@debian.org>  Mon,  5 Jan 2004 12:13:54 +0100

i8kutils (1.23) unstable; urgency=low

  * In i8kmon require a Tk version compatible with Tcl.
    Closes: #211407.

  * Updated README file.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 22 Sep 2003 22:10:03 +0200

i8kutils (1.22) unstable; urgency=low

  * Ported module to kernel 2.5. The module compiles also on kernel 2.4.
    Removed handle_buttons code since it is now handled by the kernel
    keyboard driver.

  * Declared all module parameters static. In makefile keep needed static
    symbols when stripping the obj.

  * In i8k module use time_after_eq() for comparing jiffies.

  * Added redhat specfile contributed by <roger@eskimo.com>.

  * Updated README file.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 21 Jan 2003 18:42:32 +0100

i8kutils (1.21) unstable; urgency=low

  * Fixed inconsistencies in README and i8kmon manpage.
    Closes: Bug#157852.

 -- Massimo Dal Zotto <dz@debian.org>  Thu, 22 Aug 2002 17:41:23 +0200

i8kutils (1.20) unstable; urgency=low

  * Added i8kbuttons init script as suggested by Philippe Troin.
    Closes: Bug#157339.

  * Renamed /etc/init.d/i8kutils to /etc/init.d/i8kmon.

  * Updated i8kbuttons, i8kmon manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 20 Aug 2002 21:25:07 +0200

i8kutils (1.19) unstable; urgency=low

  * In debian/control fixed typo in package description.
    Closes: Bug#156738.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 16 Aug 2002 22:26:33 +0200

i8kutils (1.18) unstable; urgency=low

  * In init script use sed (essential package) instead of awk.
    Closes: Bug#156442.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 12 Aug 2002 21:53:37 +0200

i8kutils (1.17) unstable; urgency=low

  * Fixed quoting bug in init script.
    Closes: Bug#155951.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  8 Aug 2002 20:41:58 +0200

i8kutils (1.16) unstable; urgency=low

  * In i8kmon script use tcl interpreter instead of tclsh if installed.
    This allows correct handling of SIGHUP.

  * In i8kmon detect automatically laptops with only one fan and reconfigure
    the user interface with left button only.

  * Added i8kutils init script as suggested by Karl E. Jrgensen.
    The daemon is started only if daemon option is set in /etc/i8kmon,
    which is not the default since the monitor is normally run by users.
    Closes: Bug#155629.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Wed,  7 Aug 2002 13:53:51 +0200

i8kutils (1.15) unstable; urgency=low

  * Changed i8kbuttons default commands since people keep on sending
    bug reports without reading the README first.
    Closes: Bug#155087, Bug#155106. 

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  1 Aug 2002 16:05:43 +0200

i8kutils (1.14) unstable; urgency=low

  * In Makefile added install_man target and PREFIX user variable.

  * Updated README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue,  9 Jul 2002 23:30:46 +0200

i8kutils (1.13) frozen unstable; urgency=high

  * In i8k module added support for generating keyboard events.

  * Updated examples/i8k.def and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 14 May 2002 14:02:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: i8kutils
 Architecture: i386
-Depends: ${shlibs:Depends}, tcl8.3 | tclsh, tk8.3 | wish
+Depends: ${shlibs:Depends}, tk8.4 | wish
 Conflicts: i8kfan
 Replaces: i8kfan
 Description: Dell Inspiron and Latitude laptop utilities
@@ -17,7 +17,7 @@
  and Fn-keys.
  .
  The package includes also a small Tk applet, designed to be swallowed in the
- gnome panel, which monitors the CPU temperature and comtrols automatically
+ gnome panel, which monitors the CPU temperature and controls automatically
  the fans accordingly to user defined thresholds.
  .
  The programs require the kernel module i8k.o which can be compiled from

=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,8 @@
 	# dh_installemacsen
 	# dh_installpam
 	# dh_installmime
-	# dh_installinit
+	dh_installinit --init-script=i8kmon
+	dh_installinit --init-script=i8kbuttons
 	# dh_installcron
 	dh_installman *.1
 	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1

## i8kutils 1.27

=== Makefile ===
# Makefile for i8k Linux Utilities
#
# Copyright (C) 2001-2005  Massimo Dal Zotto <dz@debian.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

PKGNAME	      = $(shell head -1 debian/changelog | sed 's/ .*//')
VERSION	      = $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')
ARCHITECTURE  = $(shell dpkg --print-installation-architecture)
PKGFILE	      = ../$(PKGNAME)_$(VERSION)_$(ARCHITECTURE).deb
CHGFILE	      = ../$(PKGNAME)_$(VERSION)_$(ARCHITECTURE).changes

# Override with: make module KERNEL_SOURCE=/usr/src/kernel-headers-2.4.17
KERNEL_SOURCE = /lib/modules/`uname -r`/build
PREFIX	      = /usr
POLL_TIMEOUT  = 100
#MODVERSIONS  = -DMODVERSIONS

VERSION	      = $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')
DISTFILE      = i8kutils-$(VERSION).tar.bz2
SIGNFILE      = $(DISTFILE).sign
SRCDIR        = $(shell pwd | sed 's|.*/||g')
CC            = gcc
CFLAGS        = -O2 -Wall
KERNEL_FLAGS  = -D__KERNEL__ -DMODULE $(MODVERSIONS)
BINDIR	      = $(PREFIX)/bin
SBINDIR	      = $(PREFIX)/sbin
MANDIR	      = $(PREFIX)/share/man
INCLUDE       = -I. -I$(KERNEL_SOURCE)/include

obj-m	     += i8k.o

ifdef MODVERSIONS
  INCLUDE    +=	-include $(KERNEL_SOURCE)/include/linux/modversions.h
endif

all:		i8kbuttons i8kctl i8kmon

i8kbuttons:	i8kbuttons.c
		$(CC) -g $(CFLAGS) -DPOLL_TIMEOUT=$(POLL_TIMEOUT) -I. -o $@ $<

i8kctl:		i8kctl.c
		$(CC) -g $(CFLAGS) -I. -o $@ $<
		ln -fs $@ i8kfan

install:	i8kbuttons i8kctl i8kmon
		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/$(BINDIR)/
		ln -fs i8kctl $(DESTDIR)/$(BINDIR)/i8kfan

install-smm:	smm
		cp -fp smm smm-test $(DESTDIR)/$(SBINDIR)/

install-man:
		for f in *.1; do \
		    gzip -f -9 < $$f > $(DESTDIR)/$(MANDIR)/man1/$$f.gz; \
		done

install_man:	install-man

clean:
		rm -rf *~ *.o *.ko i8k.mod.* .i8k.* .tmp_versions linux "#*#"

distclean:	clean
		rm -f i8kbuttons i8kctl i8kfan smm

# Build the official debian package
package:
		dpkg-buildpackage -rfakeroot

upload:
		grep -q "BEGIN PGP SIGNED MESSAGE" $(CHGFILE)
		dupload $(CHGFILE)

# Build the debian package
deb:
		dpkg-buildpackage -rfakeroot -us -uc

debinst:
		sudo dpkg -i $(PKGFILE)

debclean:
		-fakeroot ./debian/rules clean

lintian:
		lintian -i $(PKGFILE)

dist:		distclean debclean
		-make module kmodclean
		cd .. \
		&& tar -cjvf $(DISTFILE) $(SRCDIR)/* \
		&& gpg --armor --detach-sign --yes -o $(SIGNFILE) $(DISTFILE)

# I8k module, not needed once it is included in the kernel sources
module:		i8k.ko

modversion:
		$(MAKE) i8k.o MODVERSIONS=-DMODVERSIONS

i8k.ko:		i8k.c
		make -C $(KERNEL_SOURCE) M=$(PWD) modules

i8k.o:		i8k.c
		ln -nfs . linux
		$(CC) $(CFLAGS) $(KERNEL_FLAGS) $(INCLUDE) -o $@ -c $<
		rm -f linux
		strip --strip-unneeded \
		    -K force -K restricted -K power_status \
		    -K handle_buttons -K repeat_delay -K repeat_rate \
		    $@

kmodclean:
		rm -rf i8k.mod.* .i8k.* .tmp_versions

module-install:	i8k.ko
		mkdir -p /lib/modules/$$(uname -r)/misc/
		cp -fp i8k.ko /lib/modules/$$(uname -r)/misc/
		chown 0.0 /lib/modules/$$(uname -r)/misc/i8k.ko

insmod:		i8k.ko
		lsmod | grep -qw i8k || insmod ./i8k.ko || insmod ./i8k.ko force=1

rmmod:
		lsmod | grep -qw i8k && rmmod i8k

# SMM test program, DON'T USE UNLESS YOU KNOW WHAT YOU ARE DOING!!!
smm:		smm.c
		$(CC) -g $(CFLAGS) -I. -o $@ $<

# Build the i8kutils-smm package. This package is for private use and must
# not be distributed with debian or any other distribution. 
smm-deb:
		fakeroot ./debian/rules smm-deb

# end of file

=== debian/changelog ===
i8kutils (1.27) unstable; urgency=low

  * In debian/control added kfreebsd-i386 to Architecture: field.
    Closes: #314270.

  * In i8kmon disabled the auto option by default. Users must
    enable it manually in the config file.

  * In i8kmon added MAKE_LINTIAN_HAPPY hack.

  * Added the private i8kutils-smm package. This package is used by me
    only for testing purposes and must not be distributed with debian
    or any other distribution.

 -- Massimo Dal Zotto <dz@debian.org>  Fri, 17 Jun 2005 11:26:26 +0200

i8kutils (1.26) unstable; urgency=low

  * Fixed bug in i8k.c. Thanks to Stephen Gildea. 

  * Fixed i8k.def sample file.
    Closes: #232306.

  * In i8kmon remove corresponding fan button if one fan not present.
    and undo kernel computation (30*speed) if fan speed seems too high
    (until the kernel driver is rewritten).

  * In i8kmon set WM_COMMAND property to work with gnome-swallow applet.
    Closes: #265914.

  * In /etc/init.d/i8kbuttons set kernel keycodes if running on kernel 2.6
    and I8KBUTTONS_SETKEYCODES enabled in /etc/i8kbuttons configfile.
    Closes: #231824.

 -- Massimo Dal Zotto <dz@debian.org>  Thu,  3 Feb 2005 19:47:33 +0100  

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Massimo Dal Zotto <dz@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
 
 Package: i8kutils
-Architecture: i386
+Architecture: i386 kfreebsd-i386
 Depends: ${shlibs:Depends}, tk8.4 | wish
 Conflicts: i8kfan
 Replaces: i8kfan
-Description: Dell Inspiron and Latitude laptop utilities
+Description: utilities for Dell Inspiron and Latitude laptops
  This is a collection of utilities to control Dell Inspiron and Latitude
  laptops. It includes programs to turn the fan on and off, to read fan
  status, CPU temperature, BIOS version and to handle the volume buttons
@@ -24,3 +24,20 @@
  the package sources or found in Linux kernel 2.4.14 and later versions.
  The kernel module has been tested only on Inspiron 8000 laptops but it
  should work on any Inspiron and Latitude laptops.
+
+Package: i8kutils-smm
+Architecture: i386 kfreebsd-i386
+Depends: ${shlibs:Depends}
+Description: smm test programs for Dell Inspiron and Latitude laptops
+ This package contains the smm test program for Dell laptops.
+ .
+ THIS PROGRAM IS VERY DANGEROUS. IT CAN CRASH YOUR COMPUTER, DESTROY DATA
+ ON THE HARDISK, CORRUPT THE BIOS, PHYSICALLY DAMAGE YOUR HARDWARE AND
+ MAKE YOUR COMPUTER TOTALLY UNUSABLE.
+ .
+ DON'T USE THIS PROGRAM UNLESS YOU REALLY KNOW WHAT YOU ARE DOING. I WILL
+ NOT BE RESPONSIBLE FOR ANY DIRECT OR INDIRECT DAMAGE CAUSED BY USING THIS
+ PROGRAM.
+ .
+ THIS PACKAGE IS FOR PRIVATE USE AND MUST NOT BE DISTRIBUTED WITH DEBIAN
+ OR ANY OTHER DISTRIBUTION.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/i8kutils.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/i8kutils

install-smm: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/i8kutils-smm.
	$(MAKE) install-smm DESTDIR=$(CURDIR)/debian/i8kutils-smm

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -pi8kutils
	dh_installdocs -pi8kutils
	dh_installexamples -pi8kutils
	# dh_install
	# dh_installmenu
	# dh_installdebconf	
	# dh_installlogrotate
	# dh_installemacsen
	# dh_installpam
	# dh_installmime
	dh_installinit --init-script=i8kmon
	dh_installinit --init-script=i8kbuttons
	# dh_installcron
	# dh_installinfo
	dh_installman *.1
	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1
	dh_link -pi8kutils
	dh_strip -pi8kutils
	dh_compress -pi8kutils
	dh_fixperms -pi8kutils
	# dh_perl
	# dh_python
	# dh_makeshlibs
	dh_installdeb -pi8kutils
	dh_shlibdeps -pi8kutils
	dh_gencontrol -pi8kutils
	dh_md5sums -pi8kutils
	dh_builddeb -pi8kutils

# Build the i8kutils-smm package. This package is for private use and must
# not be distributed with debian or any other distribution. 
smm-deb: build install-smm
	dh_testdir
	dh_testroot
	dh_installchangelogs -pi8kutils-smm
	dh_installdocs -pi8kutils-smm
	# dh_installexamples
	# dh_install
	# dh_installmenu
	# dh_installdebconf	
	# dh_installlogrotate
	# dh_installemacsen
	# dh_installpam
	# dh_installmime
	# dh_installinit
	# dh_installcron
	# dh_installinfo
	# dh_installman
	dh_link -pi8kutils-smm
	dh_strip -pi8kutils-smm
	dh_compress -pi8kutils-smm
	dh_fixperms -pi8kutils-smm
	# dh_perl
	# dh_python
	# dh_makeshlibs
	dh_installdeb -pi8kutils-smm
	dh_shlibdeps -pi8kutils-smm
	dh_gencontrol -pi8kutils-smm
	dh_md5sums -pi8kutils-smm
	dh_builddeb -pi8kutils-smm

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## i8kutils 1.27+nmu2

=== debian/changelog ===
i8kutils (1.27+nmu2) unstable; urgency=low

  * Fix a bashism in the i8kbuttons init script.  (Closes: #518205)
  * Add a LSB header to the init scripts.  (Closes: #518203)

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Mar 2009 13:31:56 +0100

i8kutils (1.27+nmu1) unstable; urgency=low

  * Enable building on amd64 and kfreebsd-amd64.  (Closes: #480938)
  * Corrected README.i8kutils to state that the utility is confirmed
    to work with linux-2.6.  (Closes: #366553)
  * Adjust i8kctl(1) to name the fields in line with the documentation
    in i8k.c and README.i8kutils.  (Closes: #427817)
  * Applied a patch by Vincent Crevot to install the init scripts
    again.  (Closes: #356432)

 -- Philipp Kern <pkern@debian.org>  Wed, 04 Mar 2009 00:17:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.6.1
 
 Package: i8kutils
-Architecture: i386 kfreebsd-i386
+Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
 Depends: ${shlibs:Depends}, tk8.4 | wish
 Conflicts: i8kfan
 Replaces: i8kfan
@@ -26,7 +26,7 @@
  should work on any Inspiron and Latitude laptops.
 
 Package: i8kutils-smm
-Architecture: i386 kfreebsd-i386
+Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
 Depends: ${shlibs:Depends}
 Description: smm test programs for Dell Inspiron and Latitude laptops
  This package contains the smm test program for Dell laptops.

=== debian/rules ===
--- 
+++ 
@@ -84,8 +84,8 @@
 	# dh_installemacsen
 	# dh_installpam
 	# dh_installmime
-	dh_installinit --init-script=i8kmon
-	dh_installinit --init-script=i8kbuttons
+	dh_installinit --name=i8kmon
+	dh_installinit --name=i8kbuttons
 	# dh_installcron
 	# dh_installinfo
 	dh_installman *.1

## i8kutils 1.31

=== debian/changelog ===
i8kutils (1.31) unstable; urgency=low

  * Fix bashisms. Closes: #530099.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 26 May 2009 15:42:43 +0100

i8kutils (1.30) unstable; urgency=low

  * Fix init script pid file creation.
  * Correct i8kmon config file name.

 -- Bradley Smith <bradsmith@debian.org>  Fri, 10 Apr 2009 19:08:53 +0100

i8kutils (1.29) unstable; urgency=low

  * New maintainer. Closes: #522797.
  * debian/control
    - Update Standards-Version to 3.8.1.
    - Upgrade compat version to 7 and debhelper Build-Depends.
  * Tidy up debian/rules.
  * Improve init scripts.
  * Add nouserconfig patch. Thanks to Rowan Thorpe
    <rowanthorpe@yahoo.co.uk>. Closes: #443421.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 07 Apr 2009 17:10:03 +0100

i8kutils (1.28) unstable; urgency=low

  * Moved /etc/i8kbuttons to /etc/default/i8kbuttons. (Closes: #519812)
  * Package is orphaned (#522797); set maintainer to Debian QA Group.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 06 Apr 2009 16:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: i8kutils
 Section: utils
 Priority: optional
-Maintainer: Massimo Dal Zotto <dz@debian.org>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.6.1
+Maintainer: Bradley Smith <bradsmith@debian.org>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.8.1
 
 Package: i8kutils
 Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
@@ -16,9 +16,9 @@
  status, CPU temperature, BIOS version and to handle the volume buttons
  and Fn-keys.
  .
- The package includes also a small Tk applet, designed to be swallowed in the
- gnome panel, which monitors the CPU temperature and controls automatically
- the fans accordingly to user defined thresholds.
+ The package includes also a small Tk applet, designed to be swallowed in
+ the GNOME panel, which monitors the CPU temperature and controls
+ automatically the fans accordingly to user defined thresholds.
  .
  The programs require the kernel module i8k.o which can be compiled from
  the package sources or found in Linux kernel 2.4.14 and later versions.

## i8kutils 1.33

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 PKGNAME	      = $(shell head -1 debian/changelog | sed 's/ .*//')
 VERSION	      = $(shell head -1 debian/changelog | sed 's/.*(//;s/).*//')
 ARCHITECTURE  = $(shell dpkg --print-installation-architecture)
-PKGFILE	      = ../$(PKGNAME)_$(VERSION)_$(ARCHITECTURE).deb
-CHGFILE	      = ../$(PKGNAME)_$(VERSION)_$(ARCHITECTURE).changes
+PKGFILE	      = $(PKGNAME)_$(VERSION)_$(ARCHITECTURE).deb
+CHGFILE	      = $(PKGNAME)_$(VERSION)_$(ARCHITECTURE).changes
 
 # Override with: make module KERNEL_SOURCE=/usr/src/kernel-headers-2.4.17
 KERNEL_SOURCE = /lib/modules/`uname -r`/build
@@ -76,21 +76,22 @@
 		dpkg-buildpackage -rfakeroot
 
 upload:
-		grep -q "BEGIN PGP SIGNED MESSAGE" $(CHGFILE)
-		dupload $(CHGFILE)
+		cd .. \
+		&& grep -q "BEGIN PGP SIGNED MESSAGE" $(CHGFILE) \
+		&& dupload $(CHGFILE)
 
 # Build the debian package
 deb:
 		dpkg-buildpackage -rfakeroot -us -uc
 
 debinst:
-		sudo dpkg -i $(PKGFILE)
+		cd .. && sudo dpkg -i $(PKGFILE)
 
 debclean:
 		-fakeroot ./debian/rules clean
 
 lintian:
-		lintian -i $(PKGFILE)
+		cd .. && lintian -i $(PKGFILE)
 
 dist:		distclean debclean
 		-make module kmodclean

=== debian/changelog ===
i8kutils (1.33) unstable; urgency=low

  * Fix download location in README. Closes: #546316.
  * Orphan package.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 27 Sep 2009 14:05:19 +0100

i8kutils (1.32) unstable; urgency=low

  * Update README. Closes: #542637, #523615.
  * Fix typo in i8kutils.i8kmon.default. Closes: #542517.
  * Update Standards-Version to 3.8.3.
  * Add Vcs-* entries.

 -- Bradley Smith <bradsmith@debian.org>  Sat, 22 Aug 2009 12:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: i8kutils
 Section: utils
 Priority: optional
-Maintainer: Bradley Smith <bradsmith@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.1
+Standards-Version: 3.8.3
 
 Package: i8kutils
 Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/i8kutils

install-smm: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install-smm DESTDIR=$(CURDIR)/debian/i8kutils-smm

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -pi8kutils
	dh_installdocs -pi8kutils
	dh_installexamples -pi8kutils
	dh_installinit --name=i8kmon
	dh_installinit --name=i8kbuttons
	dh_installman *.1
	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1
	dh_link -pi8kutils
	dh_strip -pi8kutils
	dh_compress -pi8kutils
	dh_fixperms -pi8kutils
	dh_installdeb -pi8kutils
	dh_shlibdeps -pi8kutils
	dh_gencontrol -pi8kutils
	dh_md5sums -pi8kutils
	dh_builddeb -pi8kutils

smm-deb: build install-smm
	dh_testdir
	dh_testroot
	dh_installchangelogs -pi8kutils-smm
	dh_installdocs -pi8kutils-smm
	dh_link -pi8kutils-smm
	dh_strip -pi8kutils-smm
	dh_compress -pi8kutils-smm
	dh_fixperms -pi8kutils-smm
	dh_installdeb -pi8kutils-smm
	dh_shlibdeps -pi8kutils-smm
	dh_gencontrol -pi8kutils-smm
	dh_md5sums -pi8kutils-smm
	dh_builddeb -pi8kutils-smm

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## i8kutils 1.40

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CHGFILE	      = $(PKGNAME)_$(VERSION)_$(ARCHITECTURE).changes
 
 # Override with: make module KERNEL_SOURCE=/usr/src/kernel-headers-2.4.17
-KERNEL_SOURCE = /lib/modules/`uname -r`/build
+KERNEL_SOURCE = /lib/modules/$(shell uname -r)/build
 PREFIX	      = /usr
 POLL_TIMEOUT  = 100
 #MODVERSIONS  = -DMODVERSIONS
@@ -29,7 +29,8 @@
 SIGNFILE      = $(DISTFILE).sign
 SRCDIR        = $(shell pwd | sed 's|.*/||g')
 CC            = gcc
-CFLAGS        = -O2 -Wall
+#CFLAGS        = -O2 -Wall
+ccflags-y     = -O2 -Wall
 KERNEL_FLAGS  = -D__KERNEL__ -DMODULE $(MODVERSIONS)
 BINDIR	      = $(PREFIX)/bin
 SBINDIR	      = $(PREFIX)/sbin
@@ -42,18 +43,16 @@
   INCLUDE    +=	-include $(KERNEL_SOURCE)/include/linux/modversions.h
 endif
 
-all:		i8kbuttons i8kctl i8kmon
+all:		i8kbuttons i8kctl
 
 i8kbuttons:	i8kbuttons.c
 		$(CC) -g $(CFLAGS) -DPOLL_TIMEOUT=$(POLL_TIMEOUT) -I. -o $@ $<
 
 i8kctl:		i8kctl.c
 		$(CC) -g $(CFLAGS) -I. -o $@ $<
-		ln -fs $@ i8kfan
 
-install:	i8kbuttons i8kctl i8kmon
-		cp -fp i8kbuttons i8kctl i8kmon $(DESTDIR)/$(BINDIR)/
-		ln -fs i8kctl $(DESTDIR)/$(BINDIR)/i8kfan
+install:	i8kbuttons i8kctl i8kmon i8kfan
+		cp -fp i8kbuttons i8kctl i8kmon i8kfan $(DESTDIR)/$(BINDIR)/
 
 install-smm:	smm
 		cp -fp smm smm-test $(DESTDIR)/$(SBINDIR)/
@@ -69,7 +68,7 @@
 		rm -rf *~ *.o *.ko i8k.mod.* .i8k.* .tmp_versions linux "#*#"
 
 distclean:	clean
-		rm -f i8kbuttons i8kctl i8kfan smm
+		rm -f i8kbuttons i8kctl smm
 
 # Build the official debian package
 package:
@@ -105,7 +104,7 @@
 modversion:
 		$(MAKE) i8k.o MODVERSIONS=-DMODVERSIONS
 
-i8k.ko:		i8k.c
+i8k.ko:		i8k.c i8k.h
 		make -C $(KERNEL_SOURCE) M=$(PWD) modules
 
 i8k.o:		i8k.c
@@ -136,7 +135,7 @@
 		$(CC) -g $(CFLAGS) -I. -o $@ $<
 
 # Build the i8kutils-smm package. This package is for private use and must
-# not be distributed with debian or any other distribution. 
+# not be distributed with debian or any other distribution.
 smm-deb:
 		fakeroot ./debian/rules smm-deb

=== debian/changelog ===
i8kutils (1.40) unstable; urgency=medium

  * Fix i8kmon error in verbose mode.
  * Fix dependency on 'acpi' for kFreeBSD.
    - Add 'acpi | acpitool' in 'debian/control'
  * Update Standards-Version to 3.9.4.
  * Fix lintian warnings.
  * Closes: #547210.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sat, 16 Nov 2013 16:16:53 -0200

i8kutils (1.39) unstable; urgency=low

  * Fix frezee in some systems. LP: #1179282.
  * Fix bug where i8kfan needs a 'fan' argument. LP: #1104842.
    - i8kfan does not need this argument anymore.
  * Update 'apm -> acpi' in i8kmon.
  * Update i8k.c with the most recent version from the kernel mainline.
  * Update README.
  * Fix BIOS version at 'i8kctl' text to stdout. Closes: #546325.
  * Avoid multiple instances of i8kmon via 'service i8kmon start'. LP: #486483.
  * Put i8kmon enabled by default at /etc/default/i8kmon.
  * Correct global configuration filename to '/etc/i8kmon.conf'. LP: #799144.
    - Correct i8kmon.1 and i8kmon.conf.
  * Correct lintian warnings.
    - Update Standards-Version to 3.9.3
    - Upgrade compat version to 8 and debhelper Build-Depends.
  * Switch to dpkg-source 3.0 (native) format.
  * New maintainer. Closes: #548588.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 21 Oct 2013 15:17:50 -0300

i8kutils (1.34) unstable; urgency=low

  * QA upload.
  * Drop dependency on Tcl 8.4, add missing dependency on tcl providing
    /usr/bin/tclsh.
  * Add $remote_fs to init script LSB headers.
  * Enable hardening.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 30 Sep 2013 12:04:32 +0200

i8kutils (1.13) unstable; urgency=high

  * In i8k module added support for generating keyboard events.

  * Updated examples/i8k.def and README.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 14 May 2002 14:02:50 +0200

i8kutils (1.12) unstable; urgency=low

  * In i8k module added restricted fan control option.

  * In i8kmon added Reload and Exit commands to the applet menu.

  * In i8kmon added option to display temperature in fahrenheit.

  * If i8kmon exit program it the applet window is unexpectedly destroyed.

  * Updated i8kmon.conf, manpages and README.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 18 Mar 2002 17:18:49 +0100

i8kutils (1.11) unstable; urgency=low

  * Added /proc/acpi support and setmixer.sh example.

 -- Massimo Dal Zotto <dz@debian.org>  Mon, 11 Feb 2002 10:04:27 +0100

i8kutils (1.10) unstable; urgency=low

  * Removed version check in /proc/apm.

 -- Massimo Dal Zotto <dz@debian.org>  Sun, 10 Feb 2002 23:17:26 +0100

i8kutils (1.9) unstable; urgency=low

  * Fixed high temperature display in i8kmon.

 -- Massimo Dal Zotto <dz@debian.org>  Sat, 29 Dec 2001 16:38:01 +0100

i8kutils (1.8) unstable; urgency=low

  * Added Xmodmap and 40custom_load-xmodmap examples, updated README file.
    Closes: Bug#123801.

  * Fixed Spelling error in description.
    Closes: Bug#124745.

 -- Massimo Dal Zotto <dz@debian.org>  Tue, 18 Dec 2001 21:53:26 +0100

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.4

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, tk, acpi | acpitool
Description: utilities for Dell laptops
 This is a collection of utilities to control Dell
 laptops fans. It includes programs to turn the fan on and off, to read fan
 status, CPU temperature, BIOS version and to handle the volume buttons
 and Fn-keys.
 .
 The package includes also a small Tk applet, designed to be swallowed in
 the GNOME panel, which monitors the CPU temperature and controls
 automatically the fans accordingly to user defined thresholds.
 .
 The programs require the kernel module i8k.ko which can be compiled from
 the package sources or found in Linux kernel 2.4.14 and later versions.

Package: i8kutils-smm
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: smm test programs for Dell Inspiron and Latitude laptops
 This package contains the smm test program for Dell laptops.
 .
 THIS PROGRAM IS VERY DANGEROUS. IT CAN CRASH YOUR COMPUTER, DESTROY DATA
 ON THE HARDISK, CORRUPT THE BIOS, PHYSICALLY DAMAGE YOUR HARDWARE AND
 MAKE YOUR COMPUTER TOTALLY UNUSABLE.
 .
 DON'T USE THIS PROGRAM UNLESS YOU REALLY KNOW WHAT YOU ARE DOING. I WILL
 NOT BE RESPONSIBLE FOR ANY DIRECT OR INDIRECT DAMAGE CAUSED BY USING THIS
 PROGRAM.
 .
 THIS PACKAGE IS FOR PRIVATE USE AND MUST NOT BE DISTRIBUTED WITH DEBIAN
 OR ANY OTHER DISTRIBUTION.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,15 @@
 #!/usr/bin/make -f
 
-CFLAGS = -Wall -g
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE)
+	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
 	touch $@
 
 clean:

## i8kutils 1.41

=== Makefile ===
# Makefile for i8k Linux Utilities
#
# Copyright (C) 2013       Vitor Augusto <vitorafsr@gmail.com>
# Copyright (C) 2001-2005  Massimo Dal Zotto <dz@debian.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

CFLAGS = -Wall

all: i8kctl

i8kctl: i8kctl.c

clean:
	rm -f i8kctl i8k.ko

obj-m += i8k.o

=== debian/changelog ===
i8kutils (1.41) unstable; urgency=low

  * Probe 'acpi' and 'acpitool' before use.
  * Fix Tk dependency by using proper shebang and
    relaxing package version requirement (LP: #1248254).
  * Put 'i8kmon' in auto mode by default.
    - Remove '/etc/default/i8kmon' file
  * Update Standards-Version to 3.9.5.
  * Remove building 'i8kutils-smm'.

 -- Vitor Augusto <vitorafsr@gmail.com>  Sun, 02 Feb 2014 10:44:17 -0200

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.5
Homepage: https://launchpad.net/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, tk, acpi | acpitool, tclx
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell
 laptops fans. It includes programs to turn the fan on and off, to read fan
 status, CPU temperature, BIOS version and to handle the volume buttons
 and Fn-keys.
 .
 The package includes also a small Tk applet, designed to be swallowed in
 the GNOME panel, which monitors the CPU temperature and controls
 automatically the fans accordingly to user defined thresholds.
 .
 The programs require the kernel module i8k.ko which can be compiled from
 the package sources or found in Linux kernel 2.4.14 and later versions.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
	touch $@

clean:
	dh_testdir
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

binary-arch: build
	dh_testdir
	dh_testroot
	dh_install -pi8kutils
	dh_installchangelogs -pi8kutils
	dh_installdocs -pi8kutils
	#dh_installexamples -pi8kutils
	dh_installinit --name=i8kmon
	dh_installman *.1
	ln -s i8kctl.1 $(CURDIR)/debian/i8kutils/usr/share/man/man1/i8kfan.1
	dh_link -pi8kutils
	dh_strip -pi8kutils
	dh_compress -pi8kutils
	dh_fixperms -pi8kutils
	dh_installdeb -pi8kutils
	dh_shlibdeps -pi8kutils
	dh_gencontrol -pi8kutils
	dh_md5sums -pi8kutils
	dh_builddeb -pi8kutils

binary-indep:

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary

## i8kutils 1.42

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for i8k Linux Utilities
 #
-# Copyright (C) 2013       Vitor Augusto <vitorafsr@gmail.com>
+# Copyright (C) 2013-2014  Vitor Augusto <vitorafsr@gmail.com>
 # Copyright (C) 2001-2005  Massimo Dal Zotto <dz@debian.org>
 #
 # This program is free software; you can redistribute it and/or modify it
@@ -13,13 +13,22 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 # General Public License for more details.
 
-CFLAGS = -Wall
+ccflags-y = -Wall
 
-all: i8kctl
+all: i8kctl probe_i8k_calls_time
 
-i8kctl: i8kctl.c
+i8kctl: i8kctl.c i8kctl.o
+	gcc -Wall i8kctl.c -o i8kctl
+
+probe_i8k_calls_time: probe_i8k_calls_time.c
+	gcc -Wall -c -g -DLIB i8kctl.c
+	gcc -Wall -c -g -DLIB probe_i8k_calls_time.c
+	gcc -o probe_i8k_calls_time i8kctl.o probe_i8k_calls_time.o
+
+i8k:
+	make -C /lib/modules/$(shell uname -r)/build M=$(PWD) modules
 
 clean:
-	rm -f i8kctl i8k.ko
+	rm -f i8kctl i8k.ko probe_i8k_calls_time *.o
 
 obj-m += i8k.o

=== debian/changelog ===
i8kutils (1.42) unstable; urgency=low

  * Enable put fan speeds in config file, avoiding probe values at every
  startup of i8kmon service.
  * Drop dependency on tclx.
  * Fill i8kmon manpage with the set of variables available to
  '/etc/i8kmon.conf'.
  * Update i8kmon manpage.
  * Update i8kctl manpage.
  * Remove i8kbuttons.
  * Improve verboseness in init script.
  * Use more lsb compatible functions.
  * Update 'README', 'debian/control' files infos.
  * Fix constant freeze in some systems. LP: #1349176.
  * Correct system config filename over documentation. Closes: #681578.
  * Enable user set font for applet. Closes: #766620.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 08 Dec 2014 04:11:23 -0200

=== debian/control ===
Source: i8kutils
Section: utils
Priority: optional
Maintainer: Vitor Augusto <vitorafsr@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.6
Homepage: https://launchpad.net/i8kutils

Package: i8kutils
Architecture: i386 kfreebsd-i386 amd64 kfreebsd-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, tcl, tk, acpi | acpitool
Description: Fan control for Dell laptops
 This is a collection of utilities to control Dell laptops fans. It includes 
 programs to turn the fans on and off, to read fans status, CPU temperature,
 BIOS version.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,7 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
-build-stamp:
+build-arch:
 	dh_testdir
 	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
 	touch $@
@@ -15,9 +13,9 @@
 clean:
 	dh_testdir
 	rm -f build-stamp
-	$(MAKE) clean
 	dh_clean
 
+binary: binary-arch binary-indep
 binary-arch: build
 	dh_testdir
 	dh_testroot
@@ -38,8 +36,8 @@
 	dh_md5sums -pi8kutils
 	dh_builddeb -pi8kutils
 
-binary-indep:
+build-indep: ;
 
-binary: binary-indep binary-arch
+binary-indep: ;
 
-.PHONY: build clean binary-indep binary-arch binary
+.PHONY: build clean binary-arch binary

## i8kutils 1.43~mx15+1

=== debian/changelog ===
i8kutils (1.43~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 13 Jan 2019 13:44:16 -0800

i8kutils (1.43) unstable; urgency=low

  * Remove ui from i8kmon.
  * Removed smm tool as smm.c code is obsolete. smm functions must be at
    kernel module.
  * Updated i8kmon to work with dell-smm-hwmon kernel module. LP: #1620360.
  * Updated manpages.
  * Drop dependency on tk package.

 -- Vitor Augusto <vitorafsr@gmail.com>  Mon, 06 Mar 2017 19:37:27 -0300
